﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.ComponentModel;
namespace SL5BindInStyle
{
    public class TBTheme : INotifyPropertyChanged
    {
        //标志符，标志当前是什么颜色
        bool Flag;
        public TBTheme()
        {
            //初始化类
            Flag = true;
            GetOtherColor();
        } 
        public event PropertyChangedEventHandler PropertyChanged;
        private Brush _textBrush;
        /// <summary>
        /// 字体颜色
        /// </summary>
        public Brush TextBrush
        {
            get { return _textBrush; }
            set
            {
                _textBrush = value;
                if (PropertyChanged != null)
                    PropertyChanged(this, new PropertyChangedEventArgs("TextBrush"));
            }
        }
        /// <summary>
        /// 获取其他颜色
        /// </summary>
        public void GetOtherColor()
        {
            if (Flag)
            {
                TextBrush = new SolidColorBrush(Colors.Blue);
                Flag = false;
            }
            else
            {
                TextBrush = new SolidColorBrush(Colors.Green);
                Flag = true;

            }
        }
    }
}
