﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace SL5BindInStyle
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            //设置当前listBox1的数据源
            this.listBox1.ItemsSource = new List<Person>(){
           new Person(){ Name="张三"},
           new Person(){ Name="李四"},
           new Person(){ Name="王五"},
           new Person(){ Name="刘六"}
           };
        }
        //每次点击textBlock1就更换一次字体颜色
        private void textBlock1_MouseLeftButtonDown(object sender, MouseButtonEventArgs e)
        {
            (Application.Current.Resources["tbTheme"] as TBTheme).GetOtherColor();
        }
    }
    /// <summary>
    /// 实体类Person
    /// </summary>
    public class Person
    {
        string _Name;

        public string Name
        {
            get { return _Name; }
            set { _Name = value; }
        }
    }
}
